AT-NFC 2.1 (win) AT-NFC kernel set

Typedefs | Functions
nfc_ep_lib.h File Reference

Go to the source code of this file.

## Macros
#define | NFC_EP_OPT_DEBUG 0x0001
| Check option definitions. More...
#define | NFC_EP_OPT_RRP 0x0002

## Typedefs
typedef struct tag_EP_TRAN | EP_TRAN
| EP transaction handle. More...

## Functions
KER_RES KER_API | epNfcInit (KER_CTX_INIT_PARAM const KER_VOID *pConfigID, KER_INT16U usConfigIDLen, const KER_CHAR *pchEPFiles, KER_INT16U usEPFilesLen)
KER_RES KER_API | epNfcDeInit (KER_CTX_SINGLE_PARAM)
| Performs kernel de-initialization. More...
KER_BOOL KER_API | epNfcVerInfo (KER_CTX_PARAM const KER_CHAR **ppchEmvVer, KER_INT16U *pusEmvVerLen, const KER_CHAR **ppchLibVer, KER_INT16U *pusLibVerLen)
| Obtains emv kernel library version info. More...
KER_RES KER_API | epPosPrepareNewTran (KER_CTX_PARAM const NFC_EXT_TERM_TRAN_DATA *pTermTranData, EP_TRAN **ppTran, NFC_OUTCOME **ppOutcome)
| Prepares new transaction. More...
KER_RES KER_API | epPosTran (KER_CTX_PARAM EP_TRAN *pTran, KER_INT32U ulTimeout, KER_INT16U usExtCardTypes, KER_INT16U *pusCardType, KER_BYTE *pbtUID, KER_INT16U *pusUIDLen, NFC_OUTCOME **ppOutcome)
| Initiates new transaction. More...
KER_BOOL | epPosCancelTransactionCheck (KER_CTX_SINGLE_PARAM)
| Checks for cancel transaction request from outside (polling mode) More...
KER_RES KER_API | epPosTranRestart (KER_CTX_PARAM EP_TRAN *pTran, const NFC_EXT_TERM_RESTART_DATA *pTermRestartData, KER_INT32U ulTimeout, KER_INT16U usExtCardTypes, KER_INT16U *pusCardType, KER_BYTE *pbtUID, KER_INT16U *pusUIDLen, NFC_OUTCOME **ppOutcome)
| Restarts transaction for issuer update, cv-cvm confirmation, etc... More...
KER_RES KER_API | epPosTranRelease (KER_CTX_PARAM EP_TRAN *pTran)
| Releases transaction context. More...
KER_RES KER_API | epNfcGetData (KER_CTX_PARAM EP_TRAN *pTran, KER_INT16U usOptions, KER_BYTE *pbtData, KER_INT16U *pusDataLen)
| Transaction data request. More...
KER_RES KER_API | epNfcGetDataByTag (KER_CTX_PARAM EP_TRAN *pTran, KER_INT16U usOptions, const KER_BYTE *pbtTag, KER_BYTE btTagSize, KER_BYTE *pbtData, KER_INT16U *pusDataSize)
| transaction data request More...
KER_RES KER_API | epNfcGetDataByTagList (KER_CTX_PARAM EP_TRAN *pTran, KER_INT16U usOptions, const KER_BYTE *pbtTagList, KER_INT16U usTagListSize, KER_BYTE *pbtData, KER_INT16U *pusDataSize)
| transaction data request More...
KER_RES KER_API | epNfcGetDataByID (KER_CTX_PARAM EP_TRAN *pTran, KER_INT16U usID, KER_BYTE *pbtData, KER_INT16U *pusDataSize)
| Obtain emv data by ID. More...
KER_BOOL KER_API | epCheckOption (KER_CTX_PARAM EP_TRAN *pTran, KER_INT16U usOption, KER_INT16U usParam, KER_VOID *pParam)
| Check options callback Define this function outside the lib to provide EP options. More...

## Detailed Description

NFC Entry Point library export functions

## Function Documentation

## ◆ epNfcGetDataByTag()

KER_RES KER_API epNfcGetDataByTag | ( | KER_CTX_PARAM EP_TRAN * | pTran,
|  | KER_INT16U | usOptions,
|  | const KER_BYTE * | pbtTag,
|  | KER_BYTE | btTagSize,
|  | KER_BYTE * | pbtData,
|  | KER_INT16U * | pusDataSize
| ) |  |

transaction data request

call this function to obtain transaction data by tag from kernel

Parameters

  [in] | pTran | - pointer to the transaction structure (obtained by epPosPrepareNewTran)
  [in] | usOptions | - get options (bitmask), reserved
  [in] | pbtTag | - buffer with tag value
  [in] | btTagSize | - pbtTag value length
  [out] | pbtData | - buffer to obtain provided tag value
  [in,out] | pusDataSize | - pbtData buffer size as input, output containes result data length

Returns
  KER_OK Success
  KER_ERR_COMMON_NOT_FOUND Tag not found
  Other Failure